<?php

require ("../lib-abdesk.php");

CheckCookie();

require ("lib-search.php");
require ("../lib-manuals.php");


echo "<html><head><title>Manual - File Organizer Commands</title>
<link rel=stylesheet href='css/f.css' type='text/css'>

<style type=\"text/css\">


.c
{	font-weight: bold;
	font-family:  monospace;
}
</style></head>

<body><center>";

ListNav(); 

echo "<p><h1>File Organizer Commands</h1></center>
<p>
<div class=\"navanchs\"><a href=\"#searchcommands\">Search Commands</a> | <a href=\"#editcommands\">Edit Commands</a>
<p>
<a href=\"#file-organizer-warnings\">Some Important Warnings about the File Organizer</a>
<p>
<a href=\"#mysqlcrashtip\">A Tip To Make MySQL Crashes Less Terrible</a>  | <a href=\"#formtips\">Tips for Filling Out Forms</a>
<p>
<a href=\"#atrandabrev\">Attributes and Abbreviations</a>
<p>
<a href=\"#searchcommands\">Search Commands</a> - <a href=\"#filelocation\">File Location Commands</a> | <a href=\"#filename\">File Name Commands</a> | <a href=\"#filext\">File Extension Commands</a><br>
<a href=\"#onlys\">Only Commands</a> | <a href=\"#excludes\">Exclude Commands</a> | <a href=\"#other\">Other Commands</a><br>
<a href=\"#orders\">Order Commands</a> | <a href=\"#includes\">Include Commands</a><br>
<a href=\"#displayoptions\">Display Option Commands</a> | <a href=\"#searchformoptions\">Search Form Option Commands</a> | <a href=\"#filebrowser\">File Browser Commands</a><br><a href=\"#multitablesearch\">Multitable Search Commands</a> | <a href=\"#imagesearch\">Image Search Commands</a> | <a href=\"#tagsearch\">Tag Search Commands</a>
<p>
<a href=\"#editcommands\">Edit Commands</a> - 
<a href=\"#selectingthefilerecordsthatwillbeedited\">Selecting The File Records That Will Be Edited</a> - <a href=\"#nontageditcommands\">Non-Tag Edit Commands</a> -  <a href=\"#tageditcommands\">Tag Edit Commands</a> 
<p>
<a href=\"#explanation-of-syms\">Explanation of Symbols and Abbreviations</a> | 
<a href=\"#explanation-of-cats\">Explanation of Categories</a></div>
</div>
<p>

<div id='maintext'>";

PrintIntro("File", "ABFOQL");

echo "<p><br>
<a name=\"file-organizer-warnings\"></a>
<h3>Some Important Warnings about the File Organizer</a></h3>
<p>
<a href=\"../00-readme-starthere.html#file-organizer-warnings\">Go here</a> to read about them.";


PrintMysqlCrashTip();
PrintFormTips("File");

echo "<a name=\"atrandabrev\"></a>
<hr width=75%><p><br>";

echo "<center><h2>Attributes and Abbreviations</h2><p>";

echo "This is a list of attributes and abbreviations you can use with numerous search and edit commands.<p>";

echo "<table border=0<tr>";

$x=0;
foreach ($abrev_arrs as $arr => $nonabrevname)
{	if ($x%3==0)
	{	echo "<tr>";
	}
	echo "<th>$nonabrevname<td>"; PrintCommandsArray(${$arr} );
	$x++;
}
echo "</table></center>";

echo "<a name=\"searchcommands\"></a>
<hr width=75%><p><br>
<center><h1>Search Commands</h1>";

echo "<a name=\"filelocation\"></a>
<hr width=25%>
<h3>File Location Commands</h3></center>";

PrintCommandsArray($diskcommands);

echo " - Finds files on whose disk/drive letter is any of the arguments you stated.<p>";

PrintCommandsArray($disknickcommands);

echo " - Finds files whose disk nickname field is any of the arguments you stated.<p>";

PrintCommandsArray($parentdirscommands);

echo " - Finds files whose parent directories contain text like all of the arguments you stated.<p>";

PrintCommandsArray($parentdirsorcommands);

echo " - Finds files whose parent directories contain text like any of the arguments you stated.<p>";

PrintCommandsArray($parentdirsxcommands);

echo " - Finds files with the exact parent directories you input.<p>";

PrintCommandsArray($browsecommands);

echo " - Gets the record for the directory you stated and all the files in that directory.  Accepts only one argument.<p><br>

<a name=\"filename\"></a>
<hr width=25%>
<center><h3>File Name Commands</h3></center>";

echo "The next three commands only search file names, not file extensions. (File extensions are anything that comes after the last dot in the file name, like .txt).<p>";

PrintCommandsArray($filenamecommands);

echo " - Finds files where the filename contains strings like each of the arguments you entered.  All of the strings have to be present.
<p>
<ul>Example:<br>
<span class=\"c\">f my, article</span>
<p>
Finds all files which have *my* and *article* somewhere in the file name.</ul><p><br>";

PrintCommandsArray($filenameorcommands);

echo " - Finds files where the filename contains strings like any of the arguments you entered.
<p>
<ul>Example:<br>
<span class=\"c\">fo my, article</span>
<p>

Finds all files which have *my* or *article* somewhere in the file name.</ul><p><br>";

PrintCommandsArray($filenamexcommands );


echo " - Finds files with the exact file name (other than the extension, so don't include it) you entered.  Capitalization doesn't matter.  Again: don't include the file extension at the end of the file name.";

echo "<p><br>
<a name=\"filext\"></a>
<hr width=25%><p><br>
<center><h3>File Extension-Related Commands</h3></center>";

PrintCommandsArray($extcommands);

echo " - Finds files with the file extension you entered, like MP3 or TXT.  Capitalization doesn't matter.<p>";

PrintCommandsArray($extcatcommands);

echo " - Finds files whose extcat (extension category) is any of the arguments you entered.  (Examples of possible extcats are: Image, Text, Web, Audio).<p>";

PrintCommandsArray($textcommands);

echo " - Finds files of the extcat Text.<br>";

PrintCommandsArray($webcommands);

echo " - Finds files of the extcat Web.<br>";

PrintCommandsArray($textwebcommands);

echo " - Finds files of the extcat Text or the extcat Web.";


echo "<p>
<a name=\"onlys\"></a>
<hr width=25%><p><br>

<center><h3>Only Commands</h3></center>
<p>";

PrintCommandsArray($onlycommands);

echo " - Makes it so the link list includes only the links of the categories you specify.  The cateegory names and abbreviations you can use are in the <a href=\"#atrandabrev\">attributes and abbreviations</a> section.";

echo "<p><br>
<a name=\"excludes\"></a>
<hr width=25%><p><br>

<center><h3>Exclude Commands</h3></center>
<p>";

PrintCommandsArray($excludecommands);

echo " - Excludes files of the attributes you specify.  The attribute names you can use are:<p>";


echo "<p><br>";

PrintCommandsArray($excludeallmaincats);

echo " - Excludes all links which belong to any of the 7 main categories (aesthetic, utilit, educational, forfun, humorous, news, curio).<p><br>";

PrintCommandsArray($excludeothermaincats);

echo " - Excludes all links belonging to any of the 7 main categories other than the categories you've used as an Only filter.
<p>
So, if you want to look exclusively at links which belong to both Aesthetic and Utilitarian categories but no other categories, you would input these commands:
<p>
<blockquote><span class=\"c\">igo; only aes, util; xoc</span></blockquote>
<p>
The \"igo\" command is there so the search will ignore any Only checkboxes that are checked.  Without it, any filled checkboxes you haven't noticed and unchecked could interfere with your search.<p><br>";

PrintCommandsArray($excludeboringcommands);

echo " - Excludes assorted boring categories.<p>";

PrintCommandsArray($excludesubtagcommands);

echo " - Makes it so when conducting a tag search, subtags (that is, tags which were made by splitting a multi-word tag into separate tags) will be excluded from being searched.
<p>
So, if you do a tag search for a tag named \"Guitar\", then if something is tagged only with \"Electric Guitar\" it won't be found.<p><br>";

echo "<a name=\"other\"></a>
<hr width=25%><p><br>
<center><h3>Other Commands</h3></center>";

PrintCommandsArray($titlecommands);

echo " - Finds files whose titles contain all of the strings you entered.<p>";

PrintCommandsArray($titleorcommands);

echo " - Finds files whose titles contain any of the strings you entered.<p>";

PrintCommandsArray($titlexcommands);

echo " - Finds files whose titles are exactly the same as any of the strings you entered.<p><br>";

PrintCommandsArray($shortdesccommands);

echo " - Finds files whose shortdescs contain each of the strings you entered.<p>";

PrintCommandsArray($shortdescorcommands);

echo " - Finds files whose shortdescs contains any of the strings you entered.<p>";

PrintCommandsArray($shortdescxcommands);

echo " - Finds files whose shortdescs are the same as any of the arguments you entered.<p><br>";


PrintCommandsArray($notforsitecommands);

echo " - Finds files which are not labeled as being for your website.<p>";

PrintCommandsArray($unusedonsitecommands);

echo " - Finds files which are labeled as being for your website, but not yet used.<p>";

PrintCommandsArray($usedonsitecommands);

echo " - Finds files which are labeled as being used on your website.<p><br>";


PrintCommandsArray($topicommands);

echo " - Finds files which have topic fields containing each of the strings you entered.<p>";

PrintCommandsArray($topicorcommands);

echo " - Finds files which have topic fields containing any of the strings you entered.<p>";

PrintCommandsArray($topicxcommands);

echo " - Finds files which have the exact topic you entered.";

PrintCommandsArray($mdateyearcommands);
echo " - Finds files which have, in the user-specified main date, the year you specified.<p>";

echo "<p><br>
<a name=\"orders\"></a>
<hr width=25%><p><br>

<center><h3>Order Commands</h3></center>
<p>";

PrintCommandsArray($lastreadcommands);

echo " - Orders the files list by last-read date in ascending order, with recently-marked-read files at the bottom, and unread or less recently marked-read links at the top.<p>";

PrintCommandsArray($ascs); br();
PrintCommandsArray($descs);

echo " - Orders the files list in ascending or descending order.<p><br>";


PrintCommandsArray($ordercommands);

echo " - Orders the links list by whatever orders you specify.  The names and abbreviations you can use are:<p>";
echo "<center><table cellpadding=2><tr>";

$x=0;
foreach ($order_abrev_arrs as $arr => $nonabrevname)
{	if ($x%3==0)
	{	echo "<tr>";
	}
	echo "<th>$nonabrevname<td>"; PrintCommandsArray(${$arr} );
	$x++;
}
echo "</table></center>";

echo "<p>Optionally, you follow each order argument with an abbreviation for ascending or descending order:<br><blockquote>";

PrintCommandsArray($ascs); br();
PrintCommandsArray($descs);

echo "</blockquote>";

echo "<p>
Example:<p>

<blockquote><span class=\"c\">order liking desc, title asc</span></blockquote>";



echo "<p><br>
<a name=\"includes\"></a>
<hr width=25%><p><br>

<center><h3>Include Commands</h3></center>
<p>";

PrintCommandsArray($includecommands);

echo " - Makes it so the search is permitted to include links of the categories you specify that are normally excluded by default.  The cateegory names you can use are:<p><blockquote>";

PrintCommandsArray($includeattributes);

echo "</blockquote><p>You can also abbreviate the names in the ways indicated in the <a href=\"#atrandabrev\">attributes and abbreviations</a> section.<p><br>";

PrintCommandsArray($includeallcommands);

echo " - Causes all the above categories to be included.<p>";

PrintCommandsArray($includeintcommands);

echo " - Causes some (possibly) interesting categories (namely, Alt. Version, Maybe, Time Cap, Aside, Data Source) to be included.<p>";

PrintCommandsArray($includetypcommands);

echo " - Causes an assortment of other categories (Repository, Trivial, Alt. Version, Maybe, Aside) to be included.<p>";

PrintCommandsArray($includequestioncommands);

echo " - Causes some categories of unknown or questionable interest (Repository, Trivial) to be included.";

echo "<p><br><a name=\"displayoptions\"></a>
<hr width=75%><p><br>
<center><h2>Display Option Commands</h2></center>
<p>
<br>";

PrintCommandsArray($nosymbolscommands);

echo " - Uses text instead of Unicode symbols.<p>";

PrintCommandsArray($usesymbolscommands);

echo " - The default setting. Uses Unicode symbols instead of text.<p>";

PrintCommandsArray($rawfilesizecommands);

echo " - Displays file sizes in bytes.<p>";

echo "<p><br><a name=\"searchformoptions\"></a>
<hr width=75%><p><br>
<center><h2>Search Form Option Commands</h2>
<p>
Any commands which change (or can change) the settings in the search form.</center>
<p>
<br>";

PrintCommandsArray($pagenumcommands);

echo " - Goes to the page number you specified.<p>";

PrintCommandsArray($filenumcommands);

echo " - Changes the number of files displayed per page.<p><br>";


PrintCommandsArray($ignorecbcommands);

echo " - Causes the search to ignore all the Include checkboxes, Only checkboxes, and Order checkboxes.<p>";

PrintCommandsArray($ignoreincludecbcommands);

echo " - Ignores all the Include checkboxes.<p>";

PrintCommandsArray($ignoreonlycbcommands);

echo " - Ignores all the Only checkboxes.<p>";

PrintCommandsArray($ignoreordercbcommands);

echo " - Ignores all the Order checkboxes.<p>";

echo "<p><br>
<a name=\"filebrowser\"></a>
<hr width=75%>
<p><br>
<center><h2>File Browser Commands</h2></center><p>";


PrintCommandsArray($limitcommands);

echo " - Limits the number of files which will be output to whatever number you provided.<p><br>";

PrintCommandsArray($startcommands);

echo " - Best used with the limit command.  If you do a search which yields 100 results but your file browser only contains 50 of them because you set a limit of 50, then, the way to make a file browser for the second set of 50 files would be to modify your search by adding the command <span class=\"c\">start 50</span>.";


echo "<p>
<br>
<hr width=75%><p><br>

<a name=\"multitablesearch\"></a>
<center><h2>Multitable Search Commands</h2>
<p>

These require multiple database tables to be looked at, so they may take a bit longer than other types of searches.</center>
<p>";

echo "<p><br>
<center>
<a name=\"imagesearch\"></a>
<hr width=25%><p><br>";

echo "<h2>Image Search Commands</h2>
<p>
</center><p>";


echo "These next commands unavoidably make it so the search only returns image files.  They also only work for images which have the extension BMP, GIF, JPG, JPEG, or PNG, since those were the only image formats I could figure out how to make PHP measure the dimensions of.</center><p><br>";
PrintCommandsArray($tallcommands); br();
PrintCommandsArray($widecommands); br();
PrintCommandsArray($squarecommands);

echo "<p>Finds images which are tall, wide, or square.  Only one of these commands can be used per search query.<p><br>";

PrintCommandsArray($heightequalscommands); br();
PrintCommandsArray($widthequalscommands);

echo "<p>Finds images where the height or width are equal to any of the numbers you input.<p><br>";

PrintCommandsArray($heightlesscommands ); br();
PrintCommandsArray($widthlesscommands ); 

echo "<p>Finds images where the height or width are less than the number you input. Make sure you have a space in between the command and the argument.<p><br>";

PrintCommandsArray($heightmorecommands ); br();
PrintCommandsArray($widthmorecommands ); br();

echo "<p>Finds images where the height or width are greater than the number you input. Make sure you have a space in between the command and the argument.<p><br>";

PrintCommandsArray($ratio43commands);

echo " - Finds images which have the aspect ratio 4:3 - the same aspect ratio as non-widescreen TV and computer monitors.  Appropriate for desktop wallpaper.<p><br>";

PrintCommandsArray($reverseratio43commands);

echo " - Finds image files with a 4:3 aspect ratio that are vertical instead of horizontal.<p>";


PrintCommandsArray($ratio169commands);

echo " - Finds images which have the aspect ratio 16:9 (or really 2.6666667:1.6666667, since I don't know how to calculate aspect ratio in such a way as to make it come out to be exactly 16:9).  The same aspect ratio as widescreen TVs and computer monitors.  Appropriate for widescreen desktop wallpaper.<p><br>";

PrintCommandsArray($reverseratio169commands);

echo " - Finds image files with a 16:9 aspect ratio that are vertical instead of horizontal.<p><br>";


echo "<p><br>
<a name=\"tagsearch\"></a>
<hr width=25%><p><br>

<center><h2>Tag Search Commands</h2></center>
<p><br>
The first set of commands will find files which have all of the tags you entered, the second set will find files which have any of the tags you entered.<p>";

PrintCommandsArray($anytagcommands); br();
PrintCommandsArray($anytagorcommands); p(); br();

PrintCommandsArray($maintagcommands); br();
PrintCommandsArray($maintagorcommands); p(); br();

PrintCommandsArray($othertagcommands); br();
PrintCommandsArray($othertagorcommands); p(); br();

PrintCommandsArray($projectagcommands); br();
PrintCommandsArray($projectagorcommands); p(); br();

PrintCommandsArray($bundletagcommands); br();
PrintCommandsArray($bundletagorcommands); 
echo " - These sets find files which have the tags you input as bundle tags (both the tags shown as green, boxed text, and the \"other bundle\" tags).<p><br>";

PrintCommandsArray($otherbundletagcommands); br();
PrintCommandsArray($otherbundletagorcommands); echo " - These only find other bundle tags and ignore regular bundle tags.  I'm not sure there's much reason to do that, though.<p><br>";

PrintCommandsArray($authortagcommands); br();
PrintCommandsArray($authortagorcommands); p(); br();

PrintCommandsArray($languagetagcommands); br();
PrintCommandsArray($languagetagorcommands); p(); br();

PrintCommandsArray($origintagcommands); br();
PrintCommandsArray($origintagorcommands); p(); br();

PrintCommandsArray($backuploctagcommands); br();
PrintCommandsArray($backuploctagorcommands); p(); br();

PrintCommandsArray($tofortagcommands); br();
PrintCommandsArray($tofortagorcommands); p(); br();

echo "<center><p><br><hr width=25%><p><br>";

echo "
<p>
<br>
<a name=\"editcommands\"></a>
<hr width=75%><p><br>";

echo "<center><h1>Edit Commands</h1></center></center>";

echo "Below are commands you can use in the mass editor text boxes that are found in various places in the Astroblahhh File Organizer, like in the lister, the file adder, and the file browsers.
<p>
Be very careful when using the mass editor - there's no built-in way to undo anything you do, and there might still be glitches that I'm unaware of.  The only way to reverse an edit is if you have a backup copy of your database as it was before you executed the edit.
<p>
None of these commands edit the actual contents of the files - these commands only affect the database records about the files, not the files themselves.  It would be possible do make something that would mass-edit the actual files themselves, but, I don't have any use for such a feature, and don't even want such a feature because it would probably be very dangerous.<p><br><hr width=25%><p><br>";

echo "<a name=\"selectingthefilerecordsthatwillbeedited\"></a>
<center><h2>Selecting The File Records That Will Be Edited</h2></center>
<p>
The most typical way to select the files that will be affected by your edit commands is just to click on the info about them in the lister or file browser.  You can tell if it's selected in two ways - the file info will be highlighted, and a check will be in the checkbox amongst the file info.
<p>
There are also two (sets of) commands you can use.  They're most useful in the lister page.  They're useless in the file adder, since that always applies your edits to all the files you're adding; and they both do the same thing when you issue the commands from a file browser.<p>";

PrintCommandsArray($editallcommands); 

echo " - This is the most all-encompassing file selection command.  All the files resulting from your search will be edited.<p>";

PrintCommandsArray($editpagecommands); 

echo " - These just edit the all the items on the lister page you're on, instead of the entire search.";

echo "<p><br><hr width=25%><p><br>";

echo "<a name=\"nontageditcommands\"></a>
<center><h2>Non-Tag Edit Commands</h2></center>
<p>";

PrintCommandsArray($maketncommands); 

echo " - This will make a thumbnail and update the image details for any image file records you selected.<p>";

PrintCommandsArray($onlycommands); 

echo " - Makes it so the file records selected will be given the attributes you supply. You'll be able to use most of these <a href=\"#atrandabrev\">attributes and abbreviations</a>.  Negative arguments are (or should be) ignored.<p>";

PrintCommandsArray($excludecommands); 

echo " - Makes it so the file records selected will be stripped of the attributes you state. You'll be able to use most of these <a href=\"#atrandabrev\">attributes and abbreviations</a>.  Negative arguments are (or should be) ignored.<p>";

PrintCommandsArray($titlecommands); 

echo " - Changes the title of all selected file records to whatever you specify.<p>";

PrintCommandsArray($diskcommands); 

echo " - Changes the disk the file record says the file is located on.<p>";


PrintCommandsArray($disknickcommands); 

echo " - Changes the nickname of the disk the file record says the file is located on.<p>";

PrintCommandsArray($shortdesccommands); 

echo " - Changes the shortdesc of all selected file records to whatever you specify.<p>";

PrintCommandsArray($filenamecommands); 

echo " - Changes the filename of all selected file records to whatever you specify.<p>";

PrintCommandsArray($extcommands); 

echo " - Changes the file extension of all selected file records to whatever you specify.<p>";

PrintCommandsArray($extcatcommands);
echo " - Changes the extcat (extension category - also known as \"Type\", or \"Ty\" in the Orders list - which says whether something is an Image, a Web file, a Video, or whatever) of all selected file records to whatever you specify.<p>";

PrintCommandsArray($mdateyearcommands);
echo " - Changes the year in the user-specified main date of all selected file records to whatever you specify.<p>";

PrintCommandsArray($likingcommands);
echo " - Changes the Liking rating of all selected file records to whatever you specify.<p>";

PrintCommandsArray($desiretoreadcommands);
echo " - Changes the Desire to Read rating of all selected file records to whatever you specify.<p>";

PrintCommandsArray($desiretokeepcommands);
echo " - Changes the Desire to Keep rating of all selected file records to whatever you specify.";
echo "<p><br><hr width=25%><p><br>

<a name=\"tageditcommands\"></a>
<center><h2>Tag Edit Commands</h2></center>
<p>
Enter negative arguments to specify a tag which should be removed.<p>";

PrintCommandsArray($maintagcommands); 
PrintCommandsArray($anytagcommands); 

echo " - Adds or removes main tags.<p>";

PrintCommandsArray($othertagcommands); p();

PrintCommandsArray($projectagcommands); p();

PrintCommandsArray($bundletagcommands); 
echo " - Adds or removes bundle tags (the tags which are shown as green, boxed text).<p>";

PrintCommandsArray($otherbundletagcommands); 
echo " - Adds or removes other bundle tags (the bundle tags which aren't shown as green, boxed text).<p>";

PrintCommandsArray($authortagcommands); p();

PrintCommandsArray($languagetagcommands); p();

PrintCommandsArray($origintagcommands); p();

PrintCommandsArray($backuploctagcommands); p();

PrintCommandsArray($tofortagcommands); p();
br();

PrintCommandsArray($titleandtagcommands);

echo " - This uses the first argument as both a title and a main tag, and uses the rest of the arguments as main tags.";

echo "<a name=\"explanation-of-syms\"></a>
<hr width=75%><p><br>
<center><h2>Explanation of Symbols and Abbreviations</h2><p><br>";

if (CheckOpera())
{	$catsym="catsymbs";
}
else
{	$catsym="catsymb";	
}

echo "<table><tr><td><div class='$catsym'><span class='dateb'>&#x231A</span> 
Date<br><span class='necb'>&#x2623</span> 
Necessity<br>
<span class='priob'>&#x26A0</span> 
Importance<br><span class='rpriob'>&#x2656</span> 
Relative<br>Importance<br><span class='desb'>&#x2665</span> 
Desire to Read<br><span class='curiob'>&#x2665</span> 
Liking</div>
<td><div class='$catsym'><span class='intrb'>&#x262F</span> Interest<br><span class='qualb'>&#x265B</span> Quality<br><span class='aesb'>&#x2640</span> Beauty<br><span class='utilb'>&#x2702</span> Usefulness<br><span class='edub'>&#x270E</span> Educational Value<br><span class='funb'>&#x2658</span> Fun<br><span class='humb'>&#x263B</span> Humorousness</div>
<td><div class='$catsym'><span class='pathb'>&#x260A</span> File Path<br>
<span class='bol'>Ty</span> Extension Category<br>
<span class='bol'>Sz</span> File Size<br>
<span class='bol'>FN</span> File Name<br>
<span class='bol'>LM</span> File Last Modified Date<br>
<span class='bol'>Cr</span> File Creation Date<br>
<span class='bol'>Mod</span> File Record Mod Date<br>
<span class='bol'>ID</span> File ID


</div>
</table>";

echo "<b>Importance</b> = rating for overall, absolute importance in your life.
<p>
<b>Relative Importance</b> = relative importance in a particular project.
<p>
<b>Extension Category (Extcat)</b> = The category of something's file extension, which indicates whether it's an image file, text file, web file, etc.
<p>
<br>
<table><tr><td><div class='$catsym'>
<span class='aesb'>&#x2640</span> Aesthetic<br>
<span class='utilb'>&#x2702</span> Utilitarian<br>
<span class='edub'>&#x270E</span> Educational<br>
<span class='funb'>&#x2658</span> For Fun<br>
<span class='humb'>&#x263B</span> Humorous<br>
<span class='newsb'>&#x26A1</span> News<br>
<span class='curiob'>&#x2619</span> Curio<br>
<span class='statb'>&#x2600</span> Status<br>
<span class='datb'>Dat</span> Data Source<br>
<span class='delab'>Dela</span> Deletable<br>
<span class='primb'>&#x2654</span> Primary


</div>
<td><div class='$catsym'>
<span class='othb'>Oth</span> For Other<br>
<span class='recurb'>&#x264A</span> Paired<br>
<span class='persb'>Per</span> Personal<br>
<span class='forsiteb'>Site</span> For Site<br>
<span class='nostb'>&#x263D</span> Nostalgic<br>
<span class='irrb'>Irr</span> Irreplaceable<br>
<span class='cib'>CI</span> Contents Imported<br>
<span class='esb'>Es</span> Essential<br>
<span class='quesb'>&#x203D</span> Unknown<br>
<span class='rdepthb'>RD</span> Read Depth<br>
<span class='obsolb'>Obs</span> Obsolete<br>

<td><div class='$catsym'>
<span class='repob'>Rep</span> Repository<br>
<span class='trvb'>Triv</span> Trivial<br>
<span class='redunb'>&#x275E</span> Redundant<br>
<span class='redunb'>&#x264Ai</span> Paired Folder Item<br>
<span class='ximb'>XI</span> Extra Impersonal<br>
<span class='delab'>Del</span> Deleted or Deletable<br>
<span class='altvb'>Alt</span> Alternate Version<br>
<span class='timecb'>&#x231B</span> Time Capsule<br>
<span class='scoub'>Sc</span> Scoured


</div></table>
<p>
<b>Read Depth</b> - This checkbox, in the \"Only\" checkboxes, currently makes it so your search only yields items which have the read-depth \"Scarcely Read\", but this might change in the future.</center>";

echo "<p><br>
<a name=\"explanation-of-cats\"></a>
<hr width=75%><p><br>
<center><h2>Explanation of Categories</h2></center><p><br>";

echo "<ul><li><b>Aesthetic, Utilitarian, Educational, For Fun, Humorous, News, Favorite, Important, Frequent, Essential, Irreplaceable, Nostalgic, the license types, most of the privacy ratings</b> - all pretty self-explanatory.
<p>
<li><b>Curio</b> - For anything remarkably interesting and/or unusual.
<p>
<li><b>For Site</b> - An item I want to use on/for my website.  (Any item with the \"Unused\" radio button filled).
<p>
<li><b>For Other</b> - Something which is for someone other than myself.
<p>
<li><b>Primary</b> - The file which is the primary, main copy or version of something, like the final draft of something I wrote, or, if I have multiple copies of the same desktop wallpaper in different sizes, then the one with the size I most prefer is marked Primary and the others are marked Alt Version.
<p>
<li><b>Contents Imported (CI)</b> - Any items which have had their contents imported.  Currently, this is only meaningful in the case of directories, but someday, if I ever build in some file-importing capabilities, it could apply to files as well.
<p>
<li><b>Personal</b> - My own personal files which I created myself, or have something to do with me, or which have some other personal significance to me.  Also kind of implies that they're private.
<p>
<li><b>Semi-Personal</b> - Files which I might've had something to do with creating or which have some significance, but which are less mine or less private than personal files.
<p>
<li><b>Impersonal</b> - Files which aren't of much personal significance to me even though I saved them for some reason.
<p>
<li><b>Like Public</b> (privacy rating) - Technically public, but would still be a bit embarrassing to show to just anyone.
<p>
<li><b>Scarcely Read</b> (read depth) - anything I've scarcely looked at.
<p>
<li><b>Looked Over</b> (read depth) - something I've probably looked over pretty thoroughly, but, the difference between this and the Scoured read-depth is that with something that was merely Looked Over, I didn't go so far as to extract the data from it and convert it to a more useful format.
</ul>
<p>
<br>
<big>There are 19 categories which are hidden from the file list by default (unless you click the Long List link instead of List Files):</big>
<p>
<ol><li><b>Repository</b> - For newly-added records, or any records I want to add more info to later.
<p>
<li><b>Trivial</b> - For anything rather unimportant.  Not necessarily boring or bad, probably just frivolous or overall insignificant.
<p>
<li><b>Unknown</b> - Things which I saved for some reason but I have no idea why.
<p>
<li><b>Redundant</b> - A needless, redundant duplicate of some other file.
<p>
<li><b>Extra Impersonal</b> - Things like operating system files, or boring components of programs I've installed.
<p>
<li><b>Deleted or Deletable</b> - Files which are actually deleted, or which are merely marked as deletable.
<p>
<li><b>Alternate Version</b> - A file which isn't the primary, main copy or version of something, like non-final drafts of something I wrote, or, if I have multiple copies of the same desktop wallpaper in different sizes, then the one with the size I most prefer is marked Primary and the others are labeled alternate versions.
<p>
<li><b>Maybe</b> - For anything I think I might have an eventual use for someday.
<p>
<li><b>Status</b> - For any files which are like a snapshot of mostly boring details in my life, like account balances, receipts, website statistics/logs, etc.
<p>
<li><b>Paired</b> - Many web browsers save files with an accompanying folder by the same name. Astroblahhh Desktop tries to detect them, and refers to those files and folders as \"paired\".  The Paired checkbox in the \"Only\" checkboxes refers to both paired files and folders.  The Paired checkbox in the \"Includes\" checkboxes refers only to paired folders (which are excluded from the main list by default).
<p>
<li><b>Paired Folder Item</b> - Any file or folder inside a paired folder.
<p>
<li><b>Clutter Pile</b> - Clutter, and boy, do I have a lot of it.  Not quite as shunned as things in the clutter piles in the ideas organizer and links organizer.
<p>
<li><b>Junk Pile</b> - Junk which is probably useless, but, packrat that I am, I still haven't brought myself to delete it or label it as deletable.
<p>
<li><b>Time Capsule</b> - Stuff which I might or might not really want that much, but perhaps it'll be as interesting as a real time capsule someday in the distant future.
<p>
<li><b>Aside</b> - For stuff which isn't frequently-used or useful enough to have in the main list, but is otherwise good stuff with at least a vague reason for me to keep it.
<p>
<li><b>Data Source</b> - Files which contain data of some kind which I probably ought to import into some kind of database for dealing with that kind of data, like, files which I saved only because they have birth data in it, etc.
<p>
<li><b>Scoured</b> - For files I've not only carefully read, but extracted the useful data from and put into a useful format.  An example would be: a file containing birth data that I've already carefully scoured and extracted the data from, and put into a database of birth data.  I wouldn't really need the original file that badly anymore, but I'd likely keep it anyway just in case, and so I could always see exactly where I got the data from.
<p>
<li><b>Hidden</b> - Files I just didn't want in the main list of files, probably because they remind me of something I'd rather not be reminded of.
<p>
<li><b>Obsolete</b> - Things that aren't the newest, most up to date, or best versions, which I probably won't have much use for the in future.
</ol>
<p><br><center>";

ListNav(); ?>