<?php

require ("../lib-abdesk.php");

CheckCookie();

session_start();

$prevformname="idea_record_editor_form";

 	$varstoget_fromform=array("bundlestring", "title", "authorstring", "whenotedstring", "relatedids", "otherbundlestring", "status", "aesthetic", "utilit", "educational", "humorous", "forfun", "curio", "observation", "opinion", "quote", "projectstring", "languagestring", "longdesc", "urls", "maintagstring", "othertagstring", "repository", "note", "todo", "important", "obsolete", "trivial",  "tip", "activity", "fav", "clutterpile", "scrapbook", "frequent", "question", "goal", "recurrent", "junkpile", "forother", "quotebelow", "listitem", "definite", "tentative", "hide", "aside", "archive", "usefulness", "fun", "beauty", "priority", "rpriority", "plausibility", "necessity", "humorousness", "liking", "eduval", "quality", "interest", "forsite", "finishbydatestring", "notesonduedate", "sourcenotes", "othercomments", "filepaths", "whendonestring", "done", "iced", "donenote", "whenadded", "whenoted", "finishbydate", "whendone", "maindateyear", "maindatemonth", "maindateday", "maindatetime", "datestartyear", "datestartmonth", "datestartday", "datestarttime", "datendyear", "datendmonth", "datendday", "datendtime", "maindatenotes", "daterangenotes", "unhide", "locstring", "toforstring", "originstring");

require ("../lib-tags.php");

function GoBackToFormWithError($err)
{	global $idea_id, $prevformname;

	$_SESSION[error]=$err;
	header("Location: $prevformname.php?id=$idea_id");
	exit;
}


$idea_id=$_POST[idea_id]; //If the previous page was an
	//Edit page, then, the ID will be here (delivered by a hidden
	//field on the last page).

//We want to keep "raw" copies of the following variables, obtained prior to running the CleanInput function on $_POST,
	//since it's easier to compare the raw, non-escaped copies to the "prev" versions of those variables to ascertain 
	//whether the new data is different from the old data or not.
	
	$raw_varstomake=array("maintagstring", "othertagstring", "projectstring", "bundlestring", "authorstring", "languagestring", "otherbundlestring", "whenotedstring", "whenoted", "finishbydate", "locstring", "toforstring", "originstring", "whendone");

	foreach ($raw_varstomake as $current_var)
	{	
		$rawvarname="raw_$current_var";
		${$rawvarname}=$_POST[$current_var];
	}


if ($idea_id==0)
{	$action="Add"; //This means we're adding a new idea, and can avoid doing certain things
						//that are necessary if we're editing an existing idea.
}
else
{	$action="Edit";	//This means we're editing a song already in the database.  So, this means we have to figure out
						//whether or not some of the data the user input is different from the original data.
						
		//Prev vars are only present if we're editing a previous song.  So, we retrieve them here.
	//These make it possible to tell (without querying the DB) if a namestring or tagstring was changed.
	$prev_varstomake=array("maintagstring", "othertagstring", "projectstring", "bundlestring", "authorstring", "languagestring", "otherbundlestring", "locstring", "toforstring", "originstring");
	
	foreach ($prev_varstomake as $current_var)
	{	$prevvarname=substr($current_var, 0, -5); //Getting rid of "tring" at the end.
		$prevvarname="prev$prevvarname";
		${$prevvarname}=$_POST[$prevvarname];
		$_SESSION[$prevvarname]=$_POST[$prevvarname];
		${$prevvarname}=ereg_replace("&quot;", "\"", ${$prevvarname});
	}		
	//Onward.  Most of the tag stuff is handled at the end, but some is in the middle.
}

	foreach ($varstoget_fromform as $varname)
	{
		$_SESSION[$varname]=$_POST[$varname];
	}

$handle=ConnectToDb($ideasdb_name);

array_walk($_POST,'CleanInput');  

	$idea_id=$_POST[idea_id];

	foreach ($varstoget_fromform as $varname)
	{	${$varname}=$_POST[$varname];
	}

function CleanUpRelatedIDs($ids)
{	
	$arr=explode(";", $ids);		
	$arr=CleanUpArray($arr);
	
	$res=implode("; ", $arr);
	return $res;
}

function CleanUpArray($arr)
{
	array_walk($arr, RemoveWhitespaceEtcFromTagArr);
	$arr=ArrRemoveEmptyValues($arr);
	$arr=array_iunique($arr);
	
	//This bit here is just to make the array continuous instead
	//of having gaps:
	$arr=array_merge($arr);
	return $arr;
}
function CleanUpURLBatch($urls)
{	
	$arr_urls=explode("\\r\\n", $urls);
	$arr_urls=CleanUpArray($arr_urls);
	$res=implode("\\r\\n", $arr_urls);
	return $res;
}

$relatedids=CleanUpURLBatch($relatedids);
$urls=CleanUpURLBatch($urls);
$filepaths=CleanUpURLBatch($filepaths);

	$tagstring_vars=array("maintagstring", "othertagstring", "projectstring", "bundlestring", "authorstring", "languagestring", "otherbundlestring", "locstring", "toforstring", "originstring");

	$changed_tagtypes=array();
	//Then we figure out if the new raw tagstring variables are different from the previous tagstring variables,
	//and clean up any changed tagstrings.
	
	foreach ($tagstring_vars as $tagstringvar)
	{
		$rawtagstringvar="raw_$tagstringvar";
		if ($action=="Edit")
		{	$prevtagstringvar="prev$tagstringvar";
			$prevtagstringvar=substr($prevtagstringvar, 0, -5); //Getting rid of "tring" at the end.
		}
		$thistagtype=substr($tagstringvar, 0, -6); //Gets rid of "string" at the end.

		if ( ($action=="Edit" && ${$rawtagstringvar} != ${$prevtagstringvar} ) || ($action=="Add" && ${$rawtagstringvar} ) )
		{
				$tags_changed="true";
			${$tagstringvar}=CleanUpTagstring( ${$rawtagstringvar} );
		
			$quotelessvar="quoteless_" . $tagstringvar;		//Later on, the tagstring vars are going to end up
			${$quotelessvar}=${$tagstringvar};		//surrounded by quotes for input into the songinfo table, so we
												//want to preserve a nice, untouched copy of the cleaned-up
											//tagstrings without quotes for when we input the tags into the tags DB.
			array_push($changed_tagtypes, $thistagtype);
		}
	}

$nowtimestamp=GetNowTimestamp();

$dateparsers=array("maindateparser", "startdateparser", "enddateparser");

foreach ($dateparsers as $parsername)
{	${$parsername}=$_POST[$parsername];
	$_SESSION[$parsername]=${$parsername};
}

foreach ($dateparsers as $parsername)
{
	if (${$parsername} )
	{	$thistimestamp=MakeIntoUnixTime(${$parsername} );
		$thismonth=date("n", $thistimestamp);
		$thisday=date("j", $thistimestamp);
		$thisyear=date("Y", $thistimestamp);
		$thistime=date("H:i:s", $thistimestamp);
		if ($thistime=="00:00:00")
		{	$thistime=null;
		}
		switch ($parsername)
		{	case "maindateparser": $maindatemonth=$thismonth;
									$maindateday=$thisday;
									$maindateyear=$thisyear;
									$maindatetime=$thistime; break;
			case "startdateparser": $datestartmonth=$thismonth;
									$datestartday=$thisday;
									$datestartyear=$thisyear;
									$datestarttime=$thistime; break;
			case "enddateparser": $datendmonth=$thismonth;
								$datendday=$thisday;
								$datendyear=$thisyear;
								$datendtime=$thistime; break;
		}
	}
}

if ($maindatemonth>12 || $datestartmonth>12 || $datendmonth>12 || $maindateday>31 || $datestartday>31 || $datendday>31)
{
	GoBackToFormWithError("invalid date");
	exit;
}

$times=array("maindatetime", "datestarttime", "datendtime");

foreach ($times as $time)
{	
	if ( ${$time} )
	{	$timestamp=$time . "timestamp";
		${$timestamp}=strtotime(${$time});
		if (${$timestamp}===false)
		{	GoBackToFormWithError("invalid date");
			exit;
		}
		${$time}=date("H:i:s", ${$timestamp});
	}
}

if (!$whenadded && $action=="Add") //"Edit"
{	$whenadded=$nowtimestamp;
}

$itemid=$idea_id;

if ($whenotedstring)	//The user input a when-noted date, so we grab the timestamp.
{	$whenoted=GetTimestamp($raw_whenotedstring);
}
else	//If the user didn't input a when-noted date...
{
		$whenoted=$whenadded;
		$whenotedstring=$whenoted;
}

if ($finishbydatestring)
{	
	$finishbydate=GetTimestamp($finishbydatestring);
}

if ($whendonestring)
{	$whendone=GetTimestamp($whendonestring);
}

$checkboxes = array(&$repository, &$note, &$important, &$obsolete, &$trivial, &$activity, &$fav, &$clutterpile, &$frequent, &$question, &$goal, &$recurrent, &$junkpile, &$forother, &$quotebelow, &$listitem, &$definite, &$tentative, &$hide, &$archive, &$aside, &$done, &$iced, &$status, &$aesthetic, &$utilit, &$educational, &$forfun, &$humorous, &$curio, &$observation, &$tip, &$todo, &$opinion, &$scrapbook, &$unhide);

$numberboxes = array(&$usefulness, &$fun, &$beauty, &$priority, &$rpriority, &$plausibility, &$necessity, &$humorousness, &$liking, &$eduval, &$quality, &$interest);


FixCheckboxValues();
FixNumberboxValues();


if ( ($iced=="y" || $done=="y" ) && !$whendone)
{	$whendone="$nowtimestamp";
	$whendonestring=$whendone;
}

if ( ($iced=="n" && $done=="n") && $whendone)
{	$whendone="NULL";
	$whendonestring="NULL";
	GoBackToFormWithError("done or iced");
	exit;
}

$titleunquoted=$title;
$bundlestringunquoted=$bundlestring;
$prioritycss=$priority;
if ($prioritycss=="NULL")
{	$prioritycss="";
}


$nowtimestamp=GetNowTimestamp();

$varstoinsert=$varstoget_fromform;


if ($action=="Edit")
{
	MakeQueryParts($idea_id, $varstoinsert);
	TrimComma($allqueryparts);
}
else
{	EncloseOrNullAll($varstoinsert);
}

echo "<html><head><title>Idea $idea_id $action";

echo "ed</title>
<link rel=stylesheet href='css/i.css' type='text/css'>
</head>
<body><center>";

ListNav();

echo "<p><br><h1>Idea $idea_id <span class='p$prioritycss'>";

$output=GetBundlestringText($bundlestringunquoted);

echo "$output $titleunquoted</span><br><br>$action";

echo "ed</h1></center>
<p>
<br>
<div id=\"maintext\">
<code>";

	$sqlvarstoinsert=implode(", ", $varstoinsert);

MakeSQLInsertVals($varstoinsert);

if ($action=="Add")
{	$query_to_issue = "INSERT INTO ideainfo ($sqlvarstoinsert, lastread)";
	$query_to_issue .= " VALUES ($sqlvals, '$nowtimestamp')";
}

if ($action=="Edit")
{
	$query_to_issue="UPDATE ideainfo SET whenmodified='$nowtimestamp' ";
	if ($allqueryparts)
	{	$query_to_issue .= ", $allqueryparts";
	}
	$query_to_issue .= " WHERE idea_id=$idea_id";
}

echo "<p>Query: $query_to_issue";
echo "</code><p>";

$query_result=mysql_query($query_to_issue,$handle) or die(mysql_error());

if ($action=="Add")
{	
	$idea_id = mysql_insert_id();
}


//Now, we handle the tags.

if ($tags_changed)
{	
	ManageTags("idea", $idea_id);
}

if ($action=="Edit")
{
	//Now we get rid of some no longer needed session variables set up by the previous form.
	foreach ($varstoget_fromform as $varname)
	{
		$sessionvarname=$prevformname . "_orig_" . "$idea_id" . "_" . $varname;
		unset($_SESSION[$sessionvarname]);
		$x++;
	}
	
	foreach ($dateparsers as $parsername)
	{	
		unset($_SESSION[$parsername]);
	}
}
echo "<p><br><br>";
?>