<?php

function GetUrlDetails($cleanurl, $set)
{	
	global $handle, $protocol, $hostname, $suffix, $path, $dirsonly, $fullfilename, $filenameonly, $filext,  $params, $anchor, $username, $password, $port, $numofdots, $dynamicurlornot;

	$urlparts=parse_url($cleanurl);

	$protocol[$set]=$urlparts[scheme];
	$hostname[$set]=$urlparts[host];
	$username[$set]=$urlparts[user];
	$password[$set]=$urlparts[pass];

	$path[$set]=$urlparts[path];
	$path[$set]=ltrim($path[$set],"/");
	$path[$set]=rtrim($path[$set],"/");

	$params[$set]=$urlparts[query];
	$anchor[$set]=$urlparts[fragment];
	$port[$set]=$urlparts[port];

	if ($params[$set])
	{
		$dynamicurlornot[$set]="y";
	}
	else
	{
		$dynamicurlornot[$set]="n";
	}

	$numofdots[$set]=substr_count($hostname[$set], '.');

	$explosion=explode(".",$hostname[$set]);

	if ($numofdots[$set]!=0)
	{	$suffix[$set]=array_pop($explosion);
	}

	$dotpos=strpos($path[$set], ".");

	if ($dotpos)
	{	$slashpos=strpos($path[$set], "/");

		if ($slashpos<$dotpos)
		{	
			$explosion=explode(".",$path[$set]);
			$filext[$set]=array_pop($explosion);

			$filenameonly[$set]=array_pop($explosion);
			$filenameonly[$set]=explode("/",$filenameonly[$set]);
			$filenameonly[$set]=array_pop($filenameonly[$set]);
			$explosion=explode("/",$path[$set]);
			$fullfilename[$set]=array_pop($explosion);
		}

	}

	$explosion=explode("/",$path[$set]);
	array_pop($explosion);
	$dirsonly[$set]=implode("/",$explosion);

	$varstoenclose=array("protocol", "hostname", "username", "username", "password", "path", "params", "anchor", "port", "suffix", "filext", "filenameonly", "fullfilename", "dirsonly", "dynamicurlornot");

	foreach ($varstoenclose as $varname)
	{	${$varname}[$set]=EncloseOrNull(${$varname}[$set], "'");
	}
}

function MakeRawUrlStandard($rawurl)
{	global $handle;
	$rawurl = trim($rawurl);
	$rawurl=ConvertSpacesTo20($rawurl);

	$cleanurl=$rawurl;
	CleanInput($cleanurl);
	$cleanurl=rtrim($cleanurl,"/");
	return $cleanurl;
}

function MakeRawUrlClean($rawurl)
{	global $handle;

	$rawurl = trim($rawurl);	//Removes whitespace at edges of string.

	if (BackslashesDetectedIn($rawurl))
	{
		GoBackToFormWithError("backslashes");
	}

	if (strlen($rawurl)<8)
	{
		GoBackToFormWithError("too short");
	}

	if (ColonEtcAbsentIn($rawurl))
	{	if ($rawurl!=null)
		{
			GoBackToFormWithError("no protocol");
		}
	}

	$rawurl=ConvertSpacesTo20($rawurl);

	$cleanurl=$rawurl;
	CleanInput($cleanurl);
	$cleanurl=rtrim($cleanurl,"/");
	return $cleanurl;
}

function MakeRawDateClean($rawdate)
{
	$cleandate=$rawdate;
	CleanInput($cleandate);
	return $cleandate;
}

function ConvertSpacesTo20($inp)
{
	if (strpos($inp, " "))
	{	
		$inp = ereg_replace(" ", "%20", $inp);
	}
	return $inp;
}

function Convert20ToSpaces($inp)
{	if (strpos($inp, "%20"))
	{	
		$inp = ereg_replace("%20", " ", $inp);
	}
	return $inp;
}

function ColonEtcAbsentIn($inp)
{
	if (strpos($inp, "://"))
	{	return false;
	}
	else return true;
}
?>